ctype_space
ctype_xdigit
Ctype Functions
PHP Manual

# ctype_upper

(PHP 4 >= 4.0.4, PHP 5)

ctype_upper — Check for uppercase character(s)

### Description

bool ctype_upper ( string `$text` )

Checks if all of the characters in the provided string, `text` , are uppercase characters.

### Parameters

`text`

  The tested string.

### Return Values

Returns `TRUE` if every character in `text` is an uppercase letter in the current locale.

### Examples

Example #1 A ctype_upper() example (using the default locale)

`<?php
$strings = array('AKLWC139', 'LMNSDO', 'akwSKWsm');
foreach ($strings as $testcase) {
if (ctype_upper($testcase)) {
echo "The string $testcase consists of all uppercase letters.\n";
} else {
echo "The string $testcase does not consist of all uppercase letters.\n";
}
}
?>`

The above example will output:

    The string AKLWC139 does not consist of all uppercase letters.
    The string LMNSDO consists of all uppercase letters.
    The string akwSKWsm does not consist of all uppercase letters.

### See Also

- ctype_alpha()
- ctype_lower()
- setlocale()

ctype_space
ctype_xdigit
Ctype Functions
PHP Manual